Subject: [TOOLS-DEVELOPMENT] Fwd: Call for broader participation in IETF Tools work

From: Russ Housley <[email-masked]>
Date: Mon, 9 Jan 2017 15:49:30 -0500

Forwarding to make sure that everyone saw this call for greater participation.

Russ

Begin forwarded message:

> From: IETF Chair <[email-masked]>
> Subject: Call for broader participation in IETF Tools work
> Date: January 9, 2017 at 2:44:45 PM EST
> To: IETF Announcement List <[email-masked]>
> Cc: IETF Discussion <[email-masked]>, Russ Housley <[email-masked]>
> Reply-To: [email-masked], Russ Housley <[email-masked]>, IETF Discussion <[email-masked]>
> 
> We would like to draw your attention to work on tools that serve
> the IETF, and we would like to signal for a need to draw in
> further people and vendors in this effort.
> 
> Part of the work is on a volunteer basis, both in our Code
> Sprints [1] and through various long-term efforts. Part of the
> work is run on a commercial basis, e.g., operations of the 
> various IT systems that our Secretariat provides or the
> implementation of various new tools that we have decided
> to implement. The commercial efforts typically require some
> volunteer effort as well, for instance, Robert Sparks is the 
> project manager for all datatracker related efforts and Joe
> Hildebrand is the project manager for the IETF web site
> redesign project.
> 
> Thanks to all of the volunteers for their efforts. We are VERY 
> grateful for their work, and it is necessary work. But at the same, 
> we are realizing that resources are spread fairly thin. We’re happy
> about the turnout in the IETF Code Sprints, but would love to get
> more people. And we would love to have individuals who care 
> about particular tooling issues enough to adopt them as their 
> longer term project and take them to completion. Getting 
> involved with the volunteer tools work starts best at the Code
> Sprint, however. The next one will be on Saturday, March 25, 
> just before the IETF begins in Chicago. Join us [2], and book 
> your flight tickets so that you can spend the Saturday with us!
> 
> But the same issue applies even to the commercial parts [3], and
> we would like to have more companies or capable individuals bid
> for some of the projects. The Technology Management Committee
> and the IAOC have recently awarded the projects for building the
> tools necessary for the new RFC format, for instance, to two 
> individuals that are very active in the IETF community, one of
> which was already doing quite a lot for the IETF. For the long-term
> sustainability of the IETF IT and tool efforts, we would desperately
> like to extend the set of people and companies looking at and 
> bidding on these efforts. We know that many individuals in the IETF
> sphere have capabilities in this area, and we’d like to draw your
> attention to this opportunity as well.  We welcome first time qualified
> bidders, and we pay competitively.  If you can do the work, a 
> contract to work on open source tools for the IETF can be rewarding.
> 
> Jari Arkko, IETF Chair
> Russ Housley, Chair of the IAOC Tools Committee
> 
> [1] Code Sprint IETF 98 Chicago https://trac.tools.ietf.org/tools/ietfdb/wiki/IETF98Sprint
> [2] Sprint Sign-Up Page https://trac.tools.ietf.org/tools/ietfdb/wiki/IETF98SprintSignUp
> [3] RFPs for Tools Development https://iaoc.ietf.org/rfps.html